Name:           yoda-uboot
Version:        1.0.0
Release:        0%{?dist}
Summary:        uboot (Yoda) from pine64.org with UEFI Btrfs and Crust support for the PinePhone 2GB and 3GB models and the PineTab

License:        GPLv3+
URL:            https://pine64-org.gitlab.org/uboot
Source0:        pp-uboot.zip

Requires: 	bash

%description
Uboot from Pine64-org.gitlab.org with support for 2GB and 3GB phones and PineTab - and with Crust suspend support.

%global debug_package %{nil}

%prep
%autosetup -p1 -c

%install
mkdir -p $RPM_BUILD_ROOT/boot/
cp u-boot-sunxi-with-spl.bin $RPM_BUILD_ROOT/boot/
cp update-uboot.sh $RPM_BUILD_ROOT/boot/

%post
cd /boot
bash ./update-uboot.sh

%files
/boot/u-boot-sunxi-with-spl.bin
/boot/update-uboot.sh

%changelog
* Wed Oct 14 2020 Yoda - 1.0.0-0
- Initial packaging (hack)
